RipleySystemMatrix.h File Reference
`#include <escript/AbstractSystemMatrix.h>`
`#include <escript/FunctionSpace.h>`
`#include <ripley/Ripley.h>`
`#include <cusp/cds_matrix.h>`

Go to the source code of this file.

## Classes

class | ripley::SystemMatrix

## Namespaces

| escript
| ripley

## Typedefs

typedef cusp::cds_matrix< int, double, cusp::host_memory > | ripley::HostMatrixType
typedef cusp::cds_matrix< int, double, cusp::device_memory > | ripley::DeviceMatrixType
typedef cusp::array1d< double, cusp::host_memory > | ripley::HostVectorType
typedef cusp::array1d< double, cusp::device_memory > | ripley::DeviceVectorType